Bug 1125069 - Should configure the firewall rule before install rsync key
Summary: Should configure the firewall rule before install rsync key
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 2.1.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Miciah Dashiel Butler Masters
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-31 02:43 UTC by Ma xiaoqiang
Modified: 2016-07-04 00:44 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-18 20:15:58 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Ma xiaoqiang 2014-07-31 02:43:52 UTC
Description of problem:
When install all-in-one env, if the http port is closed by default, the node can not get the rsync key from broker. The script should call 'configure_firewall_add_rules' before 'install_rsync_pub_key'

Version-Release number of selected component (if applicable):
puddle [2.1.4/2014-07-28.1]

How reproducible:
100%

Steps to Reproduce:
1.Install all-in-one env, and make sure that the http port is rejected by firewall


Actual results:
Output:
+ echo 'OpenShift node: WARNING: could not install rsync_id_rsa.pub key; please do it manually.'
OpenShift node: WARNING: could not install rsync_id_rsa.pub key; please do it manually.
+ configure_firewall_add_rules


Expected results:
Install rsync_id_rsa.pub key successfully.

Additional info:

Comment 1 Miciah Dashiel Butler Masters 2014-12-03 00:02:03 UTC
PR: https://github.com/openshift/openshift-extras/pull/507

Comment 2 Ma xiaoqiang 2014-12-04 08:38:29 UTC
Download the script from https://github.com/Miciah/openshift-extras/blob/3c6cabe2c01a36afab6c0bc0dc902dbda21fcf61/enterprise/install-scripts/generic/openshift.sh, and install the all-in-one env

The key file is download successfully!

Comment 3 Miciah Dashiel Butler Masters 2015-09-18 20:15:58 UTC
This is fixed in <https://github.com/openshift/openshift-extras/blob/enterprise-2.2/enterprise/install-scripts/generic/openshift.sh> and in the openshift.sh script that is included in the current oo-install archive, <https://install.openshift.com/ose-2.2/oo-install-ose-2.2-20150825-1235.tgz>.


Note You need to log in before you can comment on or make changes to this bug.